Tag Parser: TagParser::SpsInfo Struct Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
TagParser::SpsInfo Struct Reference

The SpsInfo struct holds the sequence parameter set. More...

`#include <avcinfo.h>`

Collaboration diagram for TagParser::SpsInfo:
[legend]

## Public Member Functions
constexpr | SpsInfo ()
void | parse (CppUtilities::BinaryReader &reader, std::uint32_t maxSize)
| Parses the SPS info.

## Public Attributes
ugolomb | id
std::uint8_t | profileIndication
std::uint8_t | profileConstraints
std::uint8_t | levelIndication
ugolomb | chromaFormatIndication
ugolomb | pictureOrderCountType
ugolomb | log2MaxFrameNum
ugolomb | log2MaxPictureOrderCountLsb
sgolomb | offsetForNonRefPic
sgolomb | offsetForTopToBottomField
ugolomb | numRefFramesInPicOrderCntCycle
std::uint8_t | deltaPicOrderAlwaysZeroFlag
std::uint8_t | frameMbsOnly
std::uint8_t | vuiPresent
AspectRatio | pixelAspectRatio
TimingInfo | timingInfo
Margin | cropping
Size | pictureSize
std::uint8_t | hrdParametersPresent
HrdParameters | nalHrdParameters
HrdParameters | vclHrdParameters
std::uint8_t | pictureStructPresent
std::uint16_t | size

## Static Public Attributes
static constexpr std::uint16_t | minSize = 2

## Detailed Description

The SpsInfo struct holds the sequence parameter set.

Definition at line 71 of file avcinfo.h.

## Constructor & Destructor Documentation

## ◆ SpsInfo()

TagParser::SpsInfo::SpsInfo | ( |  | ) |
| constexpr

Definition at line 101 of file avcinfo.h.

## Member Function Documentation

## ◆ parse()

void TagParser::SpsInfo::parse | ( | CppUtilities::BinaryReader & | reader,
|  | std::uint32_t | maxSize )

Parses the SPS info.

Definition at line 24 of file avcinfo.cpp.

## Member Data Documentation

## ◆ chromaFormatIndication

ugolomb TagParser::SpsInfo::chromaFormatIndication

Definition at line 77 of file avcinfo.h.

## ◆ cropping

Margin TagParser::SpsInfo::cropping

Definition at line 89 of file avcinfo.h.

## ◆ deltaPicOrderAlwaysZeroFlag

std::uint8_t TagParser::SpsInfo::deltaPicOrderAlwaysZeroFlag

Definition at line 84 of file avcinfo.h.

## ◆ frameMbsOnly

std::uint8_t TagParser::SpsInfo::frameMbsOnly

Definition at line 85 of file avcinfo.h.

## ◆ hrdParametersPresent

std::uint8_t TagParser::SpsInfo::hrdParametersPresent

Definition at line 91 of file avcinfo.h.

## ◆ id

ugolomb TagParser::SpsInfo::id

Definition at line 73 of file avcinfo.h.

## ◆ levelIndication

std::uint8_t TagParser::SpsInfo::levelIndication

Definition at line 76 of file avcinfo.h.

## ◆ log2MaxFrameNum

ugolomb TagParser::SpsInfo::log2MaxFrameNum

Definition at line 79 of file avcinfo.h.

## ◆ log2MaxPictureOrderCountLsb

ugolomb TagParser::SpsInfo::log2MaxPictureOrderCountLsb

Definition at line 80 of file avcinfo.h.

## ◆ minSize

std::uint16_t TagParser::SpsInfo::minSize = 2
| staticconstexpr

Definition at line 96 of file avcinfo.h.

## ◆ nalHrdParameters

HrdParameters TagParser::SpsInfo::nalHrdParameters

Definition at line 92 of file avcinfo.h.

## ◆ numRefFramesInPicOrderCntCycle

ugolomb TagParser::SpsInfo::numRefFramesInPicOrderCntCycle

Definition at line 83 of file avcinfo.h.

## ◆ offsetForNonRefPic

sgolomb TagParser::SpsInfo::offsetForNonRefPic

Definition at line 81 of file avcinfo.h.

## ◆ offsetForTopToBottomField

sgolomb TagParser::SpsInfo::offsetForTopToBottomField

Definition at line 82 of file avcinfo.h.

## ◆ pictureOrderCountType

ugolomb TagParser::SpsInfo::pictureOrderCountType

Definition at line 78 of file avcinfo.h.

## ◆ pictureSize

Size TagParser::SpsInfo::pictureSize

Definition at line 90 of file avcinfo.h.

## ◆ pictureStructPresent

std::uint8_t TagParser::SpsInfo::pictureStructPresent

Definition at line 94 of file avcinfo.h.

## ◆ pixelAspectRatio

AspectRatio TagParser::SpsInfo::pixelAspectRatio

Definition at line 87 of file avcinfo.h.

## ◆ profileConstraints

std::uint8_t TagParser::SpsInfo::profileConstraints

Definition at line 75 of file avcinfo.h.

## ◆ profileIndication

std::uint8_t TagParser::SpsInfo::profileIndication

Definition at line 74 of file avcinfo.h.

## ◆ size

std::uint16_t TagParser::SpsInfo::size

Definition at line 95 of file avcinfo.h.

## ◆ timingInfo

TimingInfo TagParser::SpsInfo::timingInfo

Definition at line 88 of file avcinfo.h.

## ◆ vclHrdParameters

HrdParameters TagParser::SpsInfo::vclHrdParameters

Definition at line 93 of file avcinfo.h.

## ◆ vuiPresent

std::uint8_t TagParser::SpsInfo::vuiPresent

Definition at line 86 of file avcinfo.h.

The documentation for this struct was generated from the following files:

- avc/avcinfo.h
- avc/avcinfo.cpp